Debian Bug report logs - #39964
xterm: geometry and COLUMNS/ROWS do not match

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Juergen Kreileder <kreilede@issan.cs.uni-dortmund.de>

Date: Tue, 22 Jun 1999 15:48:46 UTC

Severity: normal

Tags: upstream

Merged with 146210

Found in version 3.3.3.1-9

Fixed in version xfree86/4.2.1-7

Done: Branden Robinson <branden@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#39964; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Juergen Kreileder <kreilede@issan.cs.uni-dortmund.de>:
New bug report received and forwarded. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Juergen Kreileder <kreilede@issan.cs.uni-dortmund.de>
To: submit@bugs.debian.org
Subject: xterm: session management problems
Date: 22 Jun 1999 17:48:32 +0200
Package: xterm
Version: 3.3.3.1-9
Severity: normal

I use kwm (the KDE window manager).  I normally have an xterm with
80 columns and 52 rows on my desktop.  When I logout and then
start a new session, the xterm comes up with the correct frame size
but the internal handling COLUMNS/ROWS seems to use default values.
The consequence is that applications (less, elm, ...) don't work
properly unless I do 'resize -s 52 80'. There was no need to do
this prior to 3.3.3.1-1.


        Juergen

-- System Information
Debian Release: potato
Kernel Version: Linux duke 2.3.7 #1 SMP Tue Jun 22 05:54:11 CEST 1999 i686 unknown

Versions of the packages xterm depends on:
ii  libc6           2.1.1-12       GNU C Library: Shared libraries and timezone
ii  libncurses4     4.2-3.2        Shared libraries for terminal handling
ii  ncurses-base    4.2-3.2        Descriptions of common terminal types
ii  xlib6g          3.3.3.1-9      shared libraries required by X clients


Changed bug title. Request was from Branden Robinson <branden@ecn.purdue.edu> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#39964; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Jordi Mallach <jordi@sindominio.net>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #12 received at 39964@bugs.debian.org (full text, mbox):

From: Jordi Mallach <jordi@sindominio.net>
To: Juergen Kreileder <kreilede@issan.cs.uni-dortmund.de>, 39964@bugs.debian.org
Subject: Xterm bug still apply?
Date: Wed, 8 Nov 2000 04:01:36 +0100
[Message part 1 (text/plain, inline)]
Hello Juergen.
Check this xterm bug at bugs.debian.org/39964 and please tell us if it still
applies.

Thank you,

Jordi

-- 
Jordi Mallach Pérez || jordi@pusa.informat.uv.es || Rediscovering Freedom,
   aka Oskuro in    || jordi@sindominio.net      || Using Debian GNU/Linux
 Reinos de Leyenda  || jordi@debian.org          || http://debian.org

http://sindominio.net  GnuPG public information:      pub  1024D/917A225E 
telnet pusa.uv.es 23   73ED 4244 FD43 5886 20AC  2644 2584 94BA 917A 225E
[Message part 2 (application/pgp-signature, inline)]

Changed Bug title. Request was from branden@deadbeast.net (Branden Robinson) to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org:
Bug#39964; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Per Olofsson <pelle@dsv.su.se>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org. Full text and rfc822 format available.

Message #23 received at 39964@bugs.debian.org (full text, mbox):

From: Per Olofsson <pelle@dsv.su.se>
To: 163305@bugs.debian.org
Cc: 39964@bugs.debian.org, control@bugs.debian.org
Subject: The xterm bug
Date: Sat, 8 Mar 2003 00:25:25 +0100
reassign 146210 xterm
tags 146210 upstream
merge 146210 39964
thanks

According to the Ion [0]FAQ and [1]Wiki this is a bug in xterm, not
Ion. I am therefore reassigning it to xterm and merging it with bug
#39964 which I think is the same problem. I have verified that this
bug still exists in xterm 4.2.1-6. See the links below for more
information.

[0] http://modeemi.cs.tut.fi/~tuomov/ion/faq.htm
[1] http://wiki.ael.be/ion/index.php/FrequentlyAskedQuestions

/Pelle



Merged 39964 146210. Request was from Per Olofsson <pelle@dsv.su.se> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Juergen Kreileder <kreilede@issan.cs.uni-dortmund.de>:
Bug#39964. Full text and rfc822 format available.

Message #28 received at 39964-submitter@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: Per Olofsson <pelle@dsv.su.se>
Cc: 163305-submitter@bugs.debian.org, 39964-submitter@bugs.debian.org
Subject: Re: Bug#39964: The xterm bug
Date: Sat, 8 Mar 2003 15:03:25 -0500
[Message part 1 (text/plain, inline)]
On Sat, Mar 08, 2003 at 12:25:25AM +0100, Per Olofsson wrote:
> According to the Ion [0]FAQ and [1]Wiki this is a bug in xterm, not
> Ion. I am therefore reassigning it to xterm and merging it with bug
> #39964 which I think is the same problem. I have verified that this
> bug still exists in xterm 4.2.1-6. See the links below for more
> information.
> 
> [0] http://modeemi.cs.tut.fi/~tuomov/ion/faq.htm

This link is a 404, BTW.

> [1] http://wiki.ael.be/ion/index.php/FrequentlyAskedQuestions

Okay, I see.  I'll apply this patch since Debian doesn't care about
Solaris 2.6.  :)

-- 
G. Branden Robinson                |    Religion is regarded by the common
Debian GNU/Linux                   |    people as true, by the wise as
branden@debian.org                 |    false, and by the rulers as useful.
http://people.debian.org/~branden/ |    -- Lucius Annaeus Seneca
[Message part 2 (application/pgp-signature, inline)]

Message sent on to Juergen Kreileder <kreilede@issan.cs.uni-dortmund.de>:
Bug#39964. Full text and rfc822 format available.

Message #31 received at 39964-submitter@bugs.debian.org (full text, mbox):

From: Per Olofsson <pelle@dsv.su.se>
To: Branden Robinson <branden@debian.org>
Cc: 163305-submitter@bugs.debian.org, 39964-submitter@bugs.debian.org
Subject: Re: Bug#39964: The xterm bug
Date: Sun, 9 Mar 2003 00:03:29 +0100
On Sat, Mar 08, 2003 at 03:03:25PM -0500, Branden Robinson wrote:
> On Sat, Mar 08, 2003 at 12:25:25AM +0100, Per Olofsson wrote:
> > According to the Ion [0]FAQ and [1]Wiki this is a bug in xterm, not
> > Ion. I am therefore reassigning it to xterm and merging it with bug
> > #39964 which I think is the same problem. I have verified that this
> > bug still exists in xterm 4.2.1-6. See the links below for more
> > information.
> > 
> > [0] http://modeemi.cs.tut.fi/~tuomov/ion/faq.htm
> 
> This link is a 404, BTW.

Oops, sorry, lost the last character. Should be:

http://modeemi.cs.tut.fi/~tuomov/ion/faq.html

> > [1] http://wiki.ael.be/ion/index.php/FrequentlyAskedQuestions
> 
> Okay, I see.  I'll apply this patch since Debian doesn't care about
> Solaris 2.6.  :)


Ok, good :)

/Pelle



Information forwarded to debian-bugs-dist@lists.debian.org, xfree86@packages.qa.debian.org:
Bug#39964; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
Extra info received and forwarded to list. Copy sent to xfree86@packages.qa.debian.org. Full text and rfc822 format available.

Message #36 received at 39964@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: "Thomas E. Dickey" <dickey@herndon4.his.com>, 39964@bugs.debian.org
Subject: Re: [spwhite@chariot.net.au: xterm resize race condition when used with Ion]
Date: Mon, 10 Mar 2003 14:52:39 -0500
[Message part 1 (text/plain, inline)]
On Mon, Feb 11, 2002 at 05:46:53AM -0500, Thomas E. Dickey wrote:
> On Mon, 11 Feb 2002, Branden Robinson wrote:
> 
> > Hi Tom,
> >
> > This wasn't filed as a proper bug report.  Do with it what you will...
> 
> I'll see if it's simple to setup Ion (if so, I can try tracing xterm to
> see if there's something that I can see to fix - not sure, since I think
> there's a possibility of problems if the geometry manager doesn't
> cooperate).

Hi Tom.

You can read more about this problem at:

  http://bugs.debian.org/39964

-- 
G. Branden Robinson                |       Convictions are more dangerous
Debian GNU/Linux                   |       enemies of truth than lies.
branden@debian.org                 |       -- Friedrich Nietzsche
http://people.debian.org/~branden/ |
[Message part 2 (application/pgp-signature, inline)]

Message sent on to Juergen Kreileder <kreilede@issan.cs.uni-dortmund.de>:
Bug#39964. Full text and rfc822 format available.

Message #39 received at 39964-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@herndon4.his.com>
To: Branden Robinson <branden@debian.org>
Cc: Per Olofsson <pelle@dsv.su.se>, 163305-submitter@bugs.debian.org, 39964-submitter@bugs.debian.org
Subject: Re: Bug#39964: The xterm bug
Date: Mon, 10 Mar 2003 17:33:25 -0500
On Sat, Mar 08, 2003 at 03:03:25PM -0500, Branden Robinson wrote:
> On Sat, Mar 08, 2003 at 12:25:25AM +0100, Per Olofsson wrote:
> > According to the Ion [0]FAQ and [1]Wiki this is a bug in xterm, not
> > Ion. I am therefore reassigning it to xterm and merging it with bug
> > #39964 which I think is the same problem. I have verified that this
> > bug still exists in xterm 4.2.1-6. See the links below for more
> > information.
> > 
> > [0] http://modeemi.cs.tut.fi/~tuomov/ion/faq.htm
> 
> This link is a 404, BTW.
> 
> > [1] http://wiki.ael.be/ion/index.php/FrequentlyAskedQuestions
> 
> Okay, I see.  I'll apply this patch since Debian doesn't care about
> Solaris 2.6.  :)

...and I've a to-do item to determine a better fix.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Reply sent to Branden Robinson <branden@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Juergen Kreileder <kreilede@issan.cs.uni-dortmund.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #44 received at 39964-close@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 39964-close@bugs.debian.org
Subject: Bug#39964: fixed in xfree86 4.2.1-7
Date: Fri, 30 May 2003 02:48:33 -0400
We believe that the bug you reported is fixed in the latest version of
xfree86, which is due to be installed in the Debian FTP archive:

lbxproxy_4.2.1-7_powerpc.deb
  to pool/main/x/xfree86/lbxproxy_4.2.1-7_powerpc.deb
libdps-dev_4.2.1-7_powerpc.deb
  to pool/main/x/xfree86/libdps-dev_4.2.1-7_powerpc.deb
libdps1-dbg_4.2.1-7_powerpc.deb
  to pool/main/x/xfree86/libdps1-dbg_4.2.1-7_powerpc.deb
libdps1_4.2.1-7_powerpc.deb
  to pool/main/x/xfree86/libdps1_4.2.1-7_powerpc.deb
libxaw6-dbg_4.2.1-7_powerpc.deb
  to pool/main/x/xfree86/libxaw6-dbg_4.2.1-7_powerpc.deb
libxaw6-dev_4.2.1-7_powerpc.deb
  to pool/main/x/xfree86/libxaw6-dev_4.2.1-7_powerpc.deb
libxaw6_4.2.1-7_powerpc.deb
  to pool/main/x/xfree86/libxaw6_4.2.1-7_powerpc.deb
libxaw7-dbg_4.2.1-7_powerpc.deb
  to pool/main/x/xfree86/libxaw7-dbg_4.2.1-7_powerpc.deb
libxaw7-dev_4.2.1-7_powerpc.deb
  to pool/main/x/xfree86/libxaw7-dev_4.2.1-7_powerpc.deb
libxaw7_4.2.1-7_powerpc.deb
  to pool/main/x/xfree86/libxaw7_4.2.1-7_powerpc.deb
proxymngr_4.2.1-7_powerpc.deb
  to pool/main/x/xfree86/proxymngr_4.2.1-7_powerpc.deb
twm_4.2.1-7_powerpc.deb
  to pool/main/x/xfree86/twm_4.2.1-7_powerpc.deb
x-window-system-core_4.2.1-7_powerpc.deb
  to pool/main/x/xfree86/x-window-system-core_4.2.1-7_powerpc.deb
x-window-system_4.2.1-7_all.deb
  to pool/main/x/xfree86/x-window-system_4.2.1-7_all.deb
xbase-clients_4.2.1-7_powerpc.deb
  to pool/main/x/xfree86/xbase-clients_4.2.1-7_powerpc.deb
xdm_4.2.1-7_powerpc.deb
  to pool/main/x/xfree86/xdm_4.2.1-7_powerpc.deb
xfonts-100dpi-transcoded_4.2.1-7_all.deb
  to pool/main/x/xfree86/xfonts-100dpi-transcoded_4.2.1-7_all.deb
xfonts-100dpi_4.2.1-7_all.deb
  to pool/main/x/xfree86/xfonts-100dpi_4.2.1-7_all.deb
xfonts-75dpi-transcoded_4.2.1-7_all.deb
  to pool/main/x/xfree86/xfonts-75dpi-transcoded_4.2.1-7_all.deb
xfonts-75dpi_4.2.1-7_all.deb
  to pool/main/x/xfree86/xfonts-75dpi_4.2.1-7_all.deb
xfonts-base-transcoded_4.2.1-7_all.deb
  to pool/main/x/xfree86/xfonts-base-transcoded_4.2.1-7_all.deb
xfonts-base_4.2.1-7_all.deb
  to pool/main/x/xfree86/xfonts-base_4.2.1-7_all.deb
xfonts-cyrillic_4.2.1-7_all.deb
  to pool/main/x/xfree86/xfonts-cyrillic_4.2.1-7_all.deb
xfonts-scalable_4.2.1-7_all.deb
  to pool/main/x/xfree86/xfonts-scalable_4.2.1-7_all.deb
xfree86-common_4.2.1-7_all.deb
  to pool/main/x/xfree86/xfree86-common_4.2.1-7_all.deb
xfree86_4.2.1-7.diff.gz
  to pool/main/x/xfree86/xfree86_4.2.1-7.diff.gz
xfree86_4.2.1-7.dsc
  to pool/main/x/xfree86/xfree86_4.2.1-7.dsc
xfs_4.2.1-7_powerpc.deb
  to pool/main/x/xfree86/xfs_4.2.1-7_powerpc.deb
xfwp_4.2.1-7_powerpc.deb
  to pool/main/x/xfree86/xfwp_4.2.1-7_powerpc.deb
xlibmesa-dev_4.2.1-7_all.deb
  to pool/main/x/xfree86/xlibmesa-dev_4.2.1-7_all.deb
xlibmesa-gl-dev_4.2.1-7_powerpc.deb
  to pool/main/x/xfree86/xlibmesa-gl-dev_4.2.1-7_powerpc.deb
xlibmesa-glu-dev_4.2.1-7_powerpc.deb
  to pool/main/x/xfree86/xlibmesa-glu-dev_4.2.1-7_powerpc.deb
xlibmesa3-dbg_4.2.1-7_all.deb
  to pool/main/x/xfree86/xlibmesa3-dbg_4.2.1-7_all.deb
xlibmesa3-gl-dbg_4.2.1-7_powerpc.deb
  to pool/main/x/xfree86/xlibmesa3-gl-dbg_4.2.1-7_powerpc.deb
xlibmesa3-gl_4.2.1-7_powerpc.deb
  to pool/main/x/xfree86/xlibmesa3-gl_4.2.1-7_powerpc.deb
xlibmesa3-glu-dbg_4.2.1-7_powerpc.deb
  to pool/main/x/xfree86/xlibmesa3-glu-dbg_4.2.1-7_powerpc.deb
xlibmesa3-glu_4.2.1-7_powerpc.deb
  to pool/main/x/xfree86/xlibmesa3-glu_4.2.1-7_powerpc.deb
xlibmesa3_4.2.1-7_all.deb
  to pool/main/x/xfree86/xlibmesa3_4.2.1-7_all.deb
xlibosmesa-dev_4.2.1-7_powerpc.deb
  to pool/main/x/xfree86/xlibosmesa-dev_4.2.1-7_powerpc.deb
xlibosmesa3-dbg_4.2.1-7_powerpc.deb
  to pool/main/x/xfree86/xlibosmesa3-dbg_4.2.1-7_powerpc.deb
xlibosmesa3_4.2.1-7_powerpc.deb
  to pool/main/x/xfree86/xlibosmesa3_4.2.1-7_powerpc.deb
xlibs-dbg_4.2.1-7_powerpc.deb
  to pool/main/x/xfree86/xlibs-dbg_4.2.1-7_powerpc.deb
xlibs-dev_4.2.1-7_powerpc.deb
  to pool/main/x/xfree86/xlibs-dev_4.2.1-7_powerpc.deb
xlibs-pic_4.2.1-7_powerpc.deb
  to pool/main/x/xfree86/xlibs-pic_4.2.1-7_powerpc.deb
xlibs_4.2.1-7_powerpc.deb
  to pool/main/x/xfree86/xlibs_4.2.1-7_powerpc.deb
xmh_4.2.1-7_powerpc.deb
  to pool/main/x/xfree86/xmh_4.2.1-7_powerpc.deb
xnest_4.2.1-7_powerpc.deb
  to pool/main/x/xfree86/xnest_4.2.1-7_powerpc.deb
xprt_4.2.1-7_powerpc.deb
  to pool/main/x/xfree86/xprt_4.2.1-7_powerpc.deb
xserver-common_4.2.1-7_powerpc.deb
  to pool/main/x/xfree86/xserver-common_4.2.1-7_powerpc.deb
xserver-xfree86-dbg_4.2.1-7_powerpc.deb
  to pool/main/x/xfree86/xserver-xfree86-dbg_4.2.1-7_powerpc.deb
xserver-xfree86_4.2.1-7_powerpc.deb
  to pool/main/x/xfree86/xserver-xfree86_4.2.1-7_powerpc.deb
xspecs_4.2.1-7_all.deb
  to pool/main/x/xfree86/xspecs_4.2.1-7_all.deb
xterm_4.2.1-7_powerpc.deb
  to pool/main/x/xfree86/xterm_4.2.1-7_powerpc.deb
xutils_4.2.1-7_powerpc.deb
  to pool/main/x/xfree86/xutils_4.2.1-7_powerpc.deb
xvfb_4.2.1-7_powerpc.deb
  to pool/main/x/xfree86/xvfb_4.2.1-7_powerpc.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 39964@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Branden Robinson <branden@debian.org> (supplier of updated xfree86 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 29 May 2003 11:24:29 -0500
Source: xfree86
Binary: xlibmesa3-gl xserver-common libxaw7-dbg xlibmesa-glu-dev xbase-clients twm xlibmesa3-dbg xfonts-scalable xfonts-75dpi libdps1-dbg xmh libxaw6-dbg xfwp xlibs xlibosmesa3-dbg xlibmesa3-glu libdps-dev xserver-xfree86-dbg xlibmesa-dev xserver-xfree86 libdps1 proxymngr xlibmesa3-glu-dbg xfonts-base-transcoded xlibmesa-gl-dev libxaw6-dev lbxproxy xfonts-cyrillic xlibmesa3-gl-dbg x-window-system-core xutils xspecs xlibs-pic x-window-system xfree86-common xfs xlibmesa3 xfonts-base xlibs-dbg libxaw7-dev xnest xfonts-100dpi-transcoded libxaw6 xfonts-100dpi xterm xfonts-75dpi-transcoded xprt xlibosmesa-dev xvfb libxaw7 xlibosmesa3 xdm xlibs-dev
Architecture: source powerpc all
Version: 4.2.1-7
Distribution: unstable
Urgency: medium
Maintainer: Branden Robinson <branden@debian.org>
Changed-By: Branden Robinson <branden@debian.org>
Description: 
 lbxproxy   - Low Bandwidth X (LBX) proxy server
 libdps-dev - Display PostScript (DPS) client library development files
 libdps1    - Display PostScript (DPS) client library
 libdps1-dbg - Display PostScript (DPS) client library (unstripped)
 libxaw6    - X Athena widget set library (version 6)
 libxaw6-dbg - X Athena widget set library (version 6) (unstripped)
 libxaw6-dev - X Athena widget set library development files (version 6)
 libxaw7    - X Athena widget set library
 libxaw7-dbg - X Athena widget set library (unstripped)
 libxaw7-dev - X Athena widget set library development files
 proxymngr  - X proxy services manager
 twm        - Tab window manager
 x-window-system - X Window System
 x-window-system-core - X Window System core components
 xbase-clients - miscellaneous X clients
 xdm        - X display manager
 xfonts-100dpi - 100 dpi fonts for X
 xfonts-100dpi-transcoded - 100 dpi fonts for X (transcoded from ISO 10646-1)
 xfonts-75dpi - 75 dpi fonts for X
 xfonts-75dpi-transcoded - 75 dpi fonts for X (transcoded from ISO 10646-1)
 xfonts-base - standard fonts for X
 xfonts-base-transcoded - standard fonts for X (transcoded from ISO 10646-1)
 xfonts-cyrillic - Cyrillic fonts for X
 xfonts-scalable - scalable fonts for X
 xfree86-common - X Window System (XFree86) infrastructure
 xfs        - X font server
 xfwp       - X firewall proxy server
 xlibmesa-dev - XFree86 Mesa development libraries pseudopackage
 xlibmesa-gl-dev - Mesa 3D graphics library development files [XFree86]
 xlibmesa-glu-dev - Mesa OpenGL utility library development files [XFree86]
 xlibmesa3  - XFree86 Mesa libraries pseudopackage
 xlibmesa3-dbg - XFree86 Mesa unstripped libraries pseudopackage
 xlibmesa3-gl - Mesa 3D graphics library [XFree86]
 xlibmesa3-gl-dbg - Mesa 3D graphics library (unstripped) [XFree86]
 xlibmesa3-glu - Mesa OpenGL utility library [XFree86]
 xlibmesa3-glu-dbg - Mesa OpenGL utility library (unstripped) [XFree86]
 xlibosmesa-dev - Mesa off-screen rendering library development files [XFree86]
 xlibosmesa3 - Mesa off-screen rendering library [XFree86]
 xlibosmesa3-dbg - Mesa off-screen rendering library (unstripped) [XFree86]
 xlibs      - X Window System client libraries
 xlibs-dbg  - X Window System client libraries (unstripped)
 xlibs-dev  - X Window System client library development files
 xlibs-pic  - X Window System client extension library PIC archives
 xmh        - X interface to the MH mail system
 xnest      - nested X server
 xprt       - X print server (XFree86 version)
 xserver-common - files and utilities common to all X servers
 xserver-xfree86 - the XFree86 X server
 xserver-xfree86-dbg - the XFree86 X server (static version with debugging symbols)
 xspecs     - X protocol, extension, and library technical specifications
 xterm      - X terminal emulator
 xutils     - X Window System utility programs
 xvfb       - virtual framebuffer X server
Closes: 39964 145740 168469 170591 181815 182505 182687 182701 182704 182727 182788 182835 183317 183322 184817 185057 185708 186147 186321 191669 193185
Changes: 
 xfree86 (4.2.1-7) unstable; urgency=medium
 .
   * The "plans change" release; recently it had not been my intention to
     release another revision of 4.2.1 at all, but LaMont Jones persuaded me to
     due to problems building KDE on some architectures due to the absence of a
     libxkbfile_pic.a file.  This release also fixes several outstanding
     issues, of course.
 .
   * RELEASE NOTE: I expect this release to continue to have Int10 problems on
     the IA-64 architecture, and for the Radeon 3D acceleration to continue to
     be broken due to GCC 3.2 issues.  XFree86 4.3.0 should resolve these
     issues, and packaging of XFree86 4.3.0 is underway; please see
     <http://lists.debian.org/debian-x/> for more information.
 .
   * patch #000_stolen_from_HEAD:
     (xc/lib/Xrender/{Glyph.c,Xrenderint.h}):
       + Render uses int for 32 bits; Xlib uses long. This matters on Alpha.
         (Keith Packard)
     (xc/lib/Xrender/Glyph.c):
       + XRenderFreeGlyphs wasn't sending the glyphset. (Keith Packard)
       + CompositeGlyphs functions were re-using overwritten data and trashing
         the output buffer. (Keith Packard)
       + CompositeText{8,16,32} weren't switching glyphsets at the right time.
         (Keith Packard) (Closes: #181815)
       + Was miscomputing request length for String16 and String32.  (Keith
         Packard)
     (xc/lib/Xrender/Xrender.c):
       + Skip unexpected data in QueryFormats.  Deal with broken X servers a bit
         better. (Keith Packard)
     (xc/programs/Xserver/hw/xfree86/drivers/i810/i830_driver.c):
       Workaround for BIOSes which force 1MB stolen memory, and agpgart related
       fix (#5300, Abraham vd Merwe). (Closes: #168469)
 .
   * patch #000_stolen_from_HEAD_ati_driver:
     (xc/programs/Xserver/hw/xfree86/drivers/ati/r128_dri.c): Second stage of
       mesa-4 merge.  (Not a very useful commit message; fixes hardware scissor
       handling when VT switching with DRI enabled.) (Closes: #185057)
 .
   * patch #000_stolen_from_HEAD_savage_driver:
     + (savage_video): Remove whitespace in front of pre-processor directives
       (Marc La France)
     + (savage_cursor.c,savage_dga.c,savage_driver.c,savage_driver.h):
       - Fixed VBE EDID read: due to a missing register setting read ended in
         endless loop on certain systems (Egbert Eich).
       - Savage driver: disable HW cursor on stretched LCD displays, let
         SaveScreen and DGA test if HW cursor is on before disabling/reenabling
         it (Egbert Eich).
     + (savage_driver.c):
        - Initializing clock ranges in several drivers to get rid of the
          annoying 'scaled from 0.0 MHz' message in xf86PrintModes() (Egbert
          Eich).
        - fixed typo in savage driver (Egbert Eich)
        - Reinstate the VBEInit() call in the savage driver's PreInit().  This
          appears to fix a problem on some Savage MX platforms (#5649, Mike
          Harris). (Closes: #182788)
 .
   * patch #000_stolen_from_HEAD_xman:
     + (buttons.c, handler.c):
         * Initialize structure field man_globals->search_widget to NULL in xman
           code, the help message states that pressing Ctrl+S in the help window
           has no effect, but in some cases it would crash xman.  (Paulo César
           Pereira de Andrade)
     + (man.c):
         * Fix compiler warning. (Torrey T. Lyons)
 .
   * patch #000_stolen_from_HEAD_xtt:
     + (xttfuncs.c): removed extraneous hunk of patch that grabbed change to
       font renderer registration, for which the support code hasn't been
       backported (Closes: #182687)
     + (xttcconv.c): Fix an "xtt" font backend module crash that shows up on
       Linux/PPC, related to an invalid code converter module being loaded
       because of a broken string comparison in xttconv.c (#A.1647, Chisato
       Yamauchi, Daisuke MASATSUNA). (Closes: #182835)
 .
   * patch #001a: #define CppCmd as "cpp-3.2" in gnu.cf; same for linux.cf when
     using a Debian system
   * patch #024,451: resynced with #000_stolen_from_HEAD_ati_driver
   * patch #032: uh, actually define a ComplexCplusplusProgramTargetNoMan()
     rule, instead of redefining ComplexCplusplusProgramTarget() (thanks, Colin
     Watson) (Closes: #186321)
   * patch #046: updated to create static PIC version of libxkbfile.a as well;
     fixes FTBFS of certain KDE packages (thanks, LaMont Jones)
   * patch #049: new; remove duplicate XShmGetEventBase() prototype from XShm.h
     (Closes: #182727)
   * patch #052: new; have Xinerama header file #include Xlib header file,
     since it references the Display structure (thanks, Xavier Bestel)
     (Closes: #145740)
   * patch #053: new; patch from Lobos Lunak via Adrian Bunk to fix memory leak
     in Xlib's _XTextPropertyToTextList() function (Closes: #184817)
   * patch #078: new; apply part of an xterm patch that was applied and
     reverted long ago: set window size from xterm instead of child process to
     avoid race condition with resize. (Keith Packard) (Closes: #39964)
   * patch #084: new; fix typo in patch to XF86Config.man
   * patch #910: new; change X server's "can't find default font" and "can't
     find cursor font" error messages to whack users with a big fat clue
 .
   * debian/MANIFEST.*: updated to reflect new libxkbfile_pic.a object
   * debian/*.conffiles: deleted; generation of these files is now handled
     automatically by dh_installdeb when DH_COMPAT >= 4
   * debian/*.debugfiles: renamed to *.install
   * debian/{local/update-fonts-{dir,scale}},rules,xserver-common.postinst.in,
     xserver-xfree86.config.in}: invoke head, tail, and diff commands in a
     POSIXly correct fashion (thanks, Paul Eggert) (Closes: #191669)
   * debian/compat: new file, implementing debhelper recommended best practice
     for setting compatibility level; compat-level bumped from 2 to 4: this
     means that, among other things, dh_installdeb creates DEBIAN/conffiles
     files for me, ensuring they stay in sync with what is shipped
     (Closes: #182505)
   * debian/control:
     - bump Standards-Version from 3.5.7 to 3.5.10 (no changes required)
     - Build-Depend on flex-old instead of flex, since flex recently broke
       backwards compatibility (fixes FTBFS on any box with a recent flex)
     - Build-Depend on cpp-3.2; xbase-clients and xdm now Depend on cpp-3.2
       instead of just cpp, since cpp-3.3 doesn't produce correct output (as
       far as XFree86 is concerned) when the "-traditional" flag is used
       ("-traditional-cpp" doesn't work, either).
     - minor tweak to xserver-xfree86's extended description
   * debian/local/FAQ:
     - removed reference to XFree86 FAQ; in the words of upstream
       <URL:http://www.xfree86.org/FAQ/>, "The old XFree86 FAQ has been removed
       because it is too out of date to be useful."
     - added new question: "I just upgraded the X server and it doesn't work;
       also, I'm using Matrox's proprietary "mga_hal" driver module or NVidia's
       proprietary "nvidia" driver module; what's going on?"
     - added new question: "I'm using a Macintosh, and while the keyboard works
       correctly on a virtual terminal, in X it's all messed up.  What's the
       matter?"
     - added new question, courtesy of Matthew Arnison: "Why do some programs
       give authorization errors even when they are running as the same user
       and on the same machine as the X server?"
   * debian/local/XFree86-FAQ.html: deleted; see above
   * debian/local/update-fonts-scale: only write fonts to the .scale file that
     actually exist, so that removed-but-not-purged scalable font packages do
     not register nonexistent fonts; this has the desirable side effect that
     the count at the top of the file is also omitted (based on a patch by
     Roland Rosenfeld) (Closes: #193185)
   * debian/local/xterm.faq.html: updated from revision 1.75 to 1.77
   * debian/po/ca.po: updated Catalan debconf template translations (thanks,
     Ivan Vilata i Balaguer) (Closes: #183317,#183322)
   * debian/po/{da,de,gl,it,ja,nl,pl,sv}.po: updated debconf template
     translations for several languages courtesy of Denis Barbier, after a
     buggy version of po-debconf eviscerated them (Closes: #170591)
   * debian/po/es.po: updated Spanish debconf template translations (thanks,
     Javier Fernandez-Sanguino Peña) (Closes: #186147)
   * debian/po/fr.po: updated French debconf template translations (thanks,
     Christian Perrier) (Closes: #185708)
   * debian/po/ru.po: updated Russian debconf template translations (thanks,
     Serge Winitzki) (Closes: #182701)
   * debian/rules:
     - removed DH_COMPAT per debhelper recommended best practice (see above)
     - remove calls to dh_undocumented
     - add calls to dh_install --sourcedir=debian/tmp
     - comment out hand-rolled "idempotency" code, since dh_install and dh_link
       behave idempotently when DH_COMPAT=4 (thanks, Joey Hess)
     - restructure, clean up, and add comments to section that defines
       variables for use in controlling the upstream build environment
       + use dpkg-parsechangelog to get the version number of the source
         package
       + fix (and rewrite) the logic that determines whether this is an
         official package build
       + only define the BuilderEMailAddr Imake variable if we're doing an
         official package build
       + GCC 3.3 appears to produce bad code for PowerPC at the optimization
         level required by Debian Policy (the X server cannot validate
         XDM-AUTHORIZATION-1 keys); when building on PowerPC, set
         DefaultGcc2OptimizeOpt to -O instead of -O2
     - expand @OFFICIAL_BUILD@ from $(OFFICIAL_BUILD) in maintainer scripts, as
       we do with @SOURCE_VERSION@ from $(SOURCE_VERSION)
     - stop generating and shipping the XFree86 FAQ (see above)
     - remove (commented-out) invocations of dh_suidregister and
       dh_installmanpages per debhelper recommended best practice
   * debian/shell-lib.sh:
     - internal_errormsg(): expand the message that is spewed, but only utter
       it if the package was part of an official build
     - check_symlinks_and_bomb(): given the past year's worth of reports to
       debian-x, it appears that this function only ever generates errors when
       someone is installing very old or non-policy-compliant packages on the
       system at the same time XFree86 is being upgraded.  Simplified the error
       messages and called new function find_culprits() when this happens.
     - find_culprits(): new function that finds Policy-violating overlaps with
       the XFree86 packages' symlinks, and reports these to the user
   * debian/xfree86-common.config.in:
     - change test for official package version to just use the new
       $OFFICIAL_BUILD variable
   * debian/xfree86-common.doc-base.xfree86-faq: deleted; see above
   * debian/xfree86-common.docs: update to stop installing XFree86 FAQ (see
     above)
   * debian/xserver-common.README.Debian: updated to remove mention of XFree86
     FAQ (see above)
   * debian/xserver-xfree86.config.in:
     - updates to handling of the use_fbdev question:
       + treat an empty /proc/fb the same as a nonexistent one, and clarify the
         corresponding debugging message (Closes: #182704)
       + parse the contents of /proc/fb (first reported framebuffer device
         only) so as to treat "VESA" and "OFfb" framebuffer types the same as
         no kernel framebuffer at all, since these (and possibly some other)
         framebuffer types do not work with the "UseFBDev" option (chipset
         specific drivers require facilities of a framebuffer device which the
         generic ones don't provide); also, clarify the corresponding debug
         message (thanks, Michel Dänzer)
     - remove "atimisc", "r128", and "radeon" sub-modules from autogenerated
       list of video driver modules
     - migrate existing debconf settings of
       xserver-xfree86/config/device/driver from "atimisc", "r128", or "radeon"
       to "ati"
Files: 
 3ef86bf50e78acabdecf73145fdad493 1654 x11 optional xfree86_4.2.1-7.dsc
 64bd5c38fca4412e54647424c5a5693b 1579229 x11 optional xfree86_4.2.1-7.diff.gz
 44fe2f0a6e4e34c8721445477260f9bd 149286 x11 optional lbxproxy_4.2.1-7_powerpc.deb
 3bde47d68b3899fd987b59e606e8147e 195342 libs optional libdps1_4.2.1-7_powerpc.deb
 d2249be3d6078d1eb27e03fcee9c8ca4 701572 devel extra libdps1-dbg_4.2.1-7_powerpc.deb
 ea6f5637d483974b46dfa85344fb1a68 264946 devel optional libdps-dev_4.2.1-7_powerpc.deb
 8b67a78b0eeee524f5b4cc672336ab98 183060 libs optional libxaw6_4.2.1-7_powerpc.deb
 62de63ea34c55d443c08d5c3e98a9c27 799290 devel extra libxaw6-dbg_4.2.1-7_powerpc.deb
 f401dd625b463cd6f967d7b859f4de69 333422 devel extra libxaw6-dev_4.2.1-7_powerpc.deb
 5b4fb40c037d480d3cb1b2eaa259ed04 231828 libs optional libxaw7_4.2.1-7_powerpc.deb
 2b5037f82e72c914654e42ff306f114a 927920 devel extra libxaw7-dbg_4.2.1-7_powerpc.deb
 0a099fe50d6f1a1a334af46c254ab4a9 333312 devel optional libxaw7-dev_4.2.1-7_powerpc.deb
 56cd684502a789b630d0ae6c320944da 92206 x11 optional proxymngr_4.2.1-7_powerpc.deb
 68d7fe319991c74988b34e0f248f857c 170150 x11 optional twm_4.2.1-7_powerpc.deb
 fc8b407932d5ac0ccdbf16c859b5fdcb 1611006 x11 optional xbase-clients_4.2.1-7_powerpc.deb
 72cd4c9cfaa4aaee70f5f3aca53f6b35 189584 x11 optional xdm_4.2.1-7_powerpc.deb
 5eebf73a094f5fb7fbb74df8a37f660b 297800 x11 optional xfs_4.2.1-7_powerpc.deb
 babf35f465f29665ad2375d7ead300d5 96096 x11 optional xfwp_4.2.1-7_powerpc.deb
 cdff1ea9e34da2a2c8913a8fbed6d5f3 1875964 libs optional xlibmesa3-gl_4.2.1-7_powerpc.deb
 a4e9aea5a399d1cf1a5609ea9c5edaa5 1023510 devel extra xlibmesa3-gl-dbg_4.2.1-7_powerpc.deb
 dfacb8a7812d95a09e80e85d74453913 580368 devel optional xlibmesa-gl-dev_4.2.1-7_powerpc.deb
 cd8f89e1839d020f59fe750a8a472dcb 256662 libs optional xlibmesa3-glu_4.2.1-7_powerpc.deb
 6d71e1fadd89ddfc8c1b74db89a3198c 905022 devel extra xlibmesa3-glu-dbg_4.2.1-7_powerpc.deb
 601c8f95206336512c5959725d224df5 358836 devel optional xlibmesa-glu-dev_4.2.1-7_powerpc.deb
 575425131e1cb0e36211eafe08fe2b9b 472578 libs optional xlibosmesa3_4.2.1-7_powerpc.deb
 d53d187852ee6cd0b38617e5c306e8ca 2645476 devel extra xlibosmesa3-dbg_4.2.1-7_powerpc.deb
 00f7217b3c81f8b1d1528dc88c035448 577238 devel optional xlibosmesa-dev_4.2.1-7_powerpc.deb
 1d15a1fca04ed577aa74013f6e41de47 1254130 libs optional xlibs_4.2.1-7_powerpc.deb
 bb97eb91045cf1684be4662dec9d40c3 14914528 devel extra xlibs-dbg_4.2.1-7_powerpc.deb
 cf47f586d251cd045e7a50a6941b5476 2800690 devel optional xlibs-dev_4.2.1-7_powerpc.deb
 89ca14cf9d8bab60dd9a92a8b9e70756 116162 devel optional xlibs-pic_4.2.1-7_powerpc.deb
 94e2c8eabed513c60dc15a80db1ade87 140732 mail extra xmh_4.2.1-7_powerpc.deb
 a13604546b0315dd93ed23e7964662a6 1108276 x11 optional xnest_4.2.1-7_powerpc.deb
 1d12f7c3491e59f0a0395e19cff85532 858700 x11 optional xprt_4.2.1-7_powerpc.deb
 5d3d84471142f9eef8e464c33ba48417 239684 x11 optional xserver-common_4.2.1-7_powerpc.deb
 b2f089cf10b105be65b62e4ce2cbf4c5 3928286 x11 optional xserver-xfree86_4.2.1-7_powerpc.deb
 1a3b421e133073dfe2e9d1bf35647bbe 36136544 x11 optional xserver-xfree86-dbg_4.2.1-7_powerpc.deb
 5d33f43c5d6522a9b57ca43436c2e8d3 513848 x11 optional xterm_4.2.1-7_powerpc.deb
 ad776de6bfde47d0ce0e8feadfbcd3c1 641380 x11 optional xutils_4.2.1-7_powerpc.deb
 e6e00f7c17b8d97a022b9206ce0488b7 1219854 x11 optional xvfb_4.2.1-7_powerpc.deb
 83f0e5a2721c2de1a44dc81eab3215fd 73300 x11 optional x-window-system-core_4.2.1-7_powerpc.deb
 c5ff5625aa64b861d2680501fde38142 4456248 x11 optional xfonts-100dpi_4.2.1-7_all.deb
 0263d4564afd50ebadbbc83ff70a2dab 8352454 x11 optional xfonts-100dpi-transcoded_4.2.1-7_all.deb
 f78dfc9e4baa3ff250c533140f8147ce 3945450 x11 optional xfonts-75dpi_4.2.1-7_all.deb
 58f9cd73f0a7072b72960c843c11ebfc 7244888 x11 optional xfonts-75dpi-transcoded_4.2.1-7_all.deb
 eb1aef8cbe85415c43a7091869a46792 5075140 x11 optional xfonts-base_4.2.1-7_all.deb
 fb1de017e7e6b9fc0959637b9dfd46fc 1119506 x11 optional xfonts-base-transcoded_4.2.1-7_all.deb
 fbcf2b05625c3036ae2688f90187a0c3 452136 x11 optional xfonts-cyrillic_4.2.1-7_all.deb
 fcc68832bc873fe66d9fa994ca9ea6a4 810122 x11 optional xfonts-scalable_4.2.1-7_all.deb
 cca6348febfcb0a7a19d6489b462f9c6 576572 x11 optional xfree86-common_4.2.1-7_all.deb
 e419ad7dab855d13a1dc2047b46cff50 4285270 x11 optional xspecs_4.2.1-7_all.deb
 b39b003c0cbb62a90431c7358c3eb9ff 73114 x11 optional x-window-system_4.2.1-7_all.deb
 fa810178b4ebc6450b2193fab6517ebc 73048 libs optional xlibmesa3_4.2.1-7_all.deb
 7e33f83e96335daaca83da914d72e571 73084 devel extra xlibmesa3-dbg_4.2.1-7_all.deb
 0fc1153d1621a5851476d3a8d273718e 73068 devel optional xlibmesa-dev_4.2.1-7_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.2 (GNU/Linux)

iEYEARECAAYFAj7W81AACgkQ6kxmHytGonwrggCgpKP2yjOp/9CX63UDn/AErUiQ
os0AnRwOSSLleJWb/vgMzxJLgF/vkMPT
=Rkkp
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:39:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.